Summary: A general purpose sound file conversion tool.
Name: sox
Version: 12.17.4
Release: 4.3.XOS.1
Copyright: LGPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/sox/sox-%{version}.tar.gz
Patch: sox-12.17.4-opteron.patch
Patch2: sox-CAN-2004-0557.patch
URL: http://sox.sourceforge.net/
BuildPrereq: libvorbis-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SoX (Sound eXchange) is a sound file format converter SoX can convert
between many different digitized sound formats and perform simple
sound manipulation functions, including sound effects.

%package -n  sox-devel
Summary: The SoX sound file format converter libraries.
Group: Development/Libraries

%description -n sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

%prep
%setup -q 
%patch -p0
%patch2 -p0

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" %configure --with-gsm --includedir=%{_includedir}/sox
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall install-lib includedir=$RPM_BUILD_ROOT/%{_includedir}/sox

echo "#!/bin/sh" > $RPM_BUILD_ROOT%{_bindir}/soxplay
echo "" >> $RPM_BUILD_ROOT%{_bindir}/soxplay
echo '%{_bindir}/sox "$1" -t .au - > /dev/audio' >> $RPM_BUILD_ROOT%{_bindir}/soxplay
chmod 755 $RPM_BUILD_ROOT%{_bindir}/soxplay

# fix symlinks
ln -snf play $RPM_BUILD_ROOT%{_bindir}/rec
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rec.1
ln -snf play.1 $RPM_BUILD_ROOT%{_mandir}/man1/rec.1
ln -snf sox.1 $RPM_BUILD_ROOT%{_mandir}/man1/soxmix.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog README TODO INSTALL
%{_bindir}/*
%{_mandir}/man1/*

%files -n sox-devel
%defattr(-,root,root)
%{_includedir}/sox
%{_libdir}/libst.a
%{_mandir}/man3/*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 12.17.4-4.3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on sox-12.17.4-4.3.src.rpm
  (md5sum of original source rpm: 40158df8997fc3fcf257ce0f4948650f).

* Fri Jul 23 2004 Bill Nottingham <notting@redhat.com> 12.17.4-4.3
- add patch for buffer overflow in wav code (CAN-2004-0557, #128158)

* Fri Jul  9 2004 Bill Nottingham <notting@redhat.com> 12.17.4-4
- add patch for 64-bit problem (#127502)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct  7 2003 Bill Nottingham <notting@redhat.com> 12.17.4-1
- update to 12.17.4
- ship soxmix (#102499)
- fix soxplay to handle files with spaces (#91144)
- use LFS (#79151)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Elliot Lee <sopwith@redhat.com> 12.17.3-10
- Add sox-vorberr.patch to fix segfault in #81448
- _smp_mflags

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 12.17.3-8
- remoive unpackaged files from the buildroot
- lib64'ize

* Fri Jul 18 2002 Bill Nottingham <notting@redhat.com>
- build against current libvorbis

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 07 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require gsm-devel as it has been excluded from rawhide

* Fri Jan  4 2002 Bill Nottingham <notting@redhat.com> 12.17.3-1
- update to 12.17.3

* Wed Dec  4 2001 Bill Nottingham <notting@redhat.com>
- update to 12.17.2

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix recording (#41755)
- fix license (#50574)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- rebuild against new gsm-devel

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- re-enable gsm stuff
- update to 12.17.1

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- update to 12.17
- yank out gsm stuff

* Tue Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support mono

* Sat Aug  5 2000 Bill Nottingham <notting@redhat.com>
- fix playing of sounds on cards that don't support 8-bit

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Feb 03 2000 Bill Nottingham <notting@redhat.com>
- fix manpage link the Right Way(tm)

* Thu Feb 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rec manpage link - now that man pages are compressed, it should point to
  play.1.gz, not play.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- Grrr. Arrrrgh. Fix link.

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- add some more files to devel

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- fix link

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 12.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
